<?php
		session_start();

		include('../conexion.php');
		
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  ){
		}else{
			header('location:acceso_denegado.php');
		}
		


$accion=$_POST["accion"];	
if (!isset($accion)) { $accion=$_GET["accion"]; }

$nomcomusu=strtoupper($_POST["ANombreCompleto"]);
$ced=strtoupper($_POST["Acedula"]);
$usu=strtoupper($_POST["ANombreCorto"]);
$con=$_POST["AClave"];
$estado=$_POST["comboestatus"];
$tipo= $_POST["combotipousuario"];
$telusu=$_POST["Acelular"];


if (!isset($_POST["permodinv"])) { $permodinv=0; } else  {  $permodinv=$_POST["permodinv"]; }   //Modifica inventario
if (!isset($_POST["perajuinv"])) { $perajuinv=0; } else  {  $perajuinv=$_POST["perajuinv"]; }  // Ajuste de Inventario

if (!isset($_POST["permodlim"])) { $permodlim=0; } else  {  $permodlim=$_POST["permodlim"]; }  //Modifica límite de credito
if (!isset($_POST["permodpla"])) { $permodpla=0; } else  {  $permodpla=$_POST["permodpla"]; }   //Modifica plazo de credito
if (!isset($_POST["perverven"])) { $perverven=0; } else  {  $perverven=$_POST["perverven"]; }   //verifica vencimiento


if (!isset($_POST["perprouti"])) { $perprouti=0; } else  {  $perprouti=$_POST["perprouti"]; }  //Permite Ver Utilidad PROFORMAS
if (!isset($_POST["perconfac"])) { $perconfac=0; } else  {  $perconfac=$_POST["perconfac"]; }   //Permite Convertir a Factura PROFORMAS

   



$estado2="s";

	$consulta = "SELECT MAX(codusu) AS codusu FROM usuarios WHERE codusu != 9999 ";
					$resultado = $mysqli->query($consulta);
					$row = $resultado->fetch_assoc();
					$id=$row["codusu"];
					$codusu= $id + 1 ;	
					
					
					

if ($accion=="alta") {
	$query_operacion="INSERT INTO usuarios (codusu, estado, nomcomusu,usu , con ,tipo, ced, telusu,
	permodinv,perajuinv,permodlim,permodpla,perprouti,perconfac,perverven ) VALUES ('$codusu', '$estado2', '$nomcomusu','$usu','$con','$tipo','$ced','$telusu',
'$permodinv','$perajuinv','$permodlim','$permodpla','$perprouti','$perconfac','$perverven')";	
	
	$mysqli->query($query_operacion);
	
}

if ($accion=="modificar") {
	$codusu=$_POST["codusu"];
	$query="UPDATE usuarios SET nomcomusu='$nomcomusu', usu='$usu', telusu='$telusu', estado='$estado', con='$con', tipo='$tipo',  ced='$ced', permodinv='$permodinv', perajuinv='$perajuinv', permodlim='$permodlim', permodpla='$permodpla', perprouti='$perprouti', perconfac='$perconfac', perverven='$perverven'

	 WHERE codusu='$codusu'";
	 

	$mysqli->query($query);

}	



?>

<html>
	<head>
		<title>Principal</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script language="javascript">
		
		function aceptar() {
			location.href="index.php";
		}
		
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		
		
function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
		
</script>
		
<?php 	
echo "<script>";
echo "aceptar();";
echo "</script>";	

?>

	</head>
</html>